Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
aec6caf1c7c97daa1914bfe2315e62f065f1b17e
[simgrid.git] / examples / msg / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = msg_test$(EXEEXT) msg_test_surfxml_bypassed$(EXEEXT) \
45         msg_test_suspend$(EXEEXT) ping_pong$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/run_msg_test.in $(top_srcdir)/acmacro/dist-files.mk
48 subdir = examples/msg
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
51         $(top_srcdir)/acmacro/compiler-flags.m4 \
52         $(top_srcdir)/acmacro/context.m4 \
53         $(top_srcdir)/acmacro/fancy_configury.m4 \
54         $(top_srcdir)/acmacro/flex.m4 \
55         $(top_srcdir)/acmacro/gras_arch.m4 \
56         $(top_srcdir)/acmacro/print_null.m4 \
57         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
58 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
59         $(ACLOCAL_M4)
60 mkinstalldirs = $(install_sh) -d
61 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
62 CONFIG_CLEAN_FILES = run_msg_test
63 am_msg_test_OBJECTS = msg_test.$(OBJEXT)
64 msg_test_OBJECTS = $(am_msg_test_OBJECTS)
65 msg_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
66 am_msg_test_surfxml_bypassed_OBJECTS =  \
67         msg_test_surfxml_bypassed.$(OBJEXT)
68 msg_test_surfxml_bypassed_OBJECTS =  \
69         $(am_msg_test_surfxml_bypassed_OBJECTS)
70 msg_test_surfxml_bypassed_DEPENDENCIES =  \
71         $(top_builddir)/src/libsimgrid.la
72 am_msg_test_suspend_OBJECTS = msg_test_suspend.$(OBJEXT)
73 msg_test_suspend_OBJECTS = $(am_msg_test_suspend_OBJECTS)
74 msg_test_suspend_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
75 am_ping_pong_OBJECTS = ping_pong.$(OBJEXT)
76 ping_pong_OBJECTS = $(am_ping_pong_OBJECTS)
77 ping_pong_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
78 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
79 depcomp = $(SHELL) $(top_srcdir)/depcomp
80 am__depfiles_maybe = depfiles
81 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
82         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
83 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
84         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
85         $(AM_CFLAGS) $(CFLAGS)
86 CCLD = $(CC)
87 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
88         $(AM_LDFLAGS) $(LDFLAGS) -o $@
89 SOURCES = $(msg_test_SOURCES) $(msg_test_surfxml_bypassed_SOURCES) \
90         $(msg_test_suspend_SOURCES) $(ping_pong_SOURCES)
91 DIST_SOURCES = $(msg_test_SOURCES) \
92         $(msg_test_surfxml_bypassed_SOURCES) \
93         $(msg_test_suspend_SOURCES) $(ping_pong_SOURCES)
94 ETAGS = etags
95 CTAGS = ctags
96 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
97 ACLOCAL = @ACLOCAL@
98 ADDR2LINE = @ADDR2LINE@
99 AMDEP_FALSE = @AMDEP_FALSE@
100 AMDEP_TRUE = @AMDEP_TRUE@
101 AMTAR = @AMTAR@
102 AR = @AR@
103 AS = @AS@
104 AUTOCONF = @AUTOCONF@
105 AUTOHEADER = @AUTOHEADER@
106 AUTOMAKE = @AUTOMAKE@
107 AWK = @AWK@
108 BASH = @BASH@
109 CC = @CC@
110 CCDEPMODE = @CCDEPMODE@
111 CFLAGS = @CFLAGS@
112 CPP = @CPP@
113 CPPFLAGS = @CPPFLAGS@
114 CXX = @CXX@
115 CXXCPP = @CXXCPP@
116 CXXDEPMODE = @CXXDEPMODE@
117 CXXFLAGS = @CXXFLAGS@
118 CYGPATH_W = @CYGPATH_W@
119 DEFS = @DEFS@
120 DEPDIR = @DEPDIR@
121 DLLTOOL = @DLLTOOL@
122 DOXYGEN = @DOXYGEN@
123 ECHO = @ECHO@
124 ECHO_C = @ECHO_C@
125 ECHO_N = @ECHO_N@
126 ECHO_T = @ECHO_T@
127 EGREP = @EGREP@
128 EXEEXT = @EXEEXT@
129 F77 = @F77@
130 FFLAGS = @FFLAGS@
131 FLEXML = @FLEXML@
132 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
133 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
134 GRAS_DEP = @GRAS_DEP@
135 GREP = @GREP@
136 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
137 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
138 INSTALL_DATA = @INSTALL_DATA@
139 INSTALL_PROGRAM = @INSTALL_PROGRAM@
140 INSTALL_SCRIPT = @INSTALL_SCRIPT@
141 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
142 LDFLAGS = @LDFLAGS@
143 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
144 LEX = @LEX@
145 LEXLIB = @LEXLIB@
146 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
147 LIBOBJS = @LIBOBJS@
148 LIBS = @LIBS@
149 LIBTOOL = @LIBTOOL@
150 LN_S = @LN_S@
151 LTLIBOBJS = @LTLIBOBJS@
152 MAINT = @MAINT@
153 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
154 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
155 MAKEINFO = @MAKEINFO@
156 MD5SUM = @MD5SUM@
157 OBJDUMP = @OBJDUMP@
158 OBJEXT = @OBJEXT@
159 PACKAGE = @PACKAGE@
160 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
161 PACKAGE_NAME = @PACKAGE_NAME@
162 PACKAGE_STRING = @PACKAGE_STRING@
163 PACKAGE_TARNAME = @PACKAGE_TARNAME@
164 PACKAGE_VERSION = @PACKAGE_VERSION@
165 PATH_SEPARATOR = @PATH_SEPARATOR@
166 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
167 RANLIB = @RANLIB@
168 SET_MAKE = @SET_MAKE@
169 SHELL = @SHELL@
170 SIMGRID_DEP = @SIMGRID_DEP@
171 STRIP = @STRIP@
172 VERSION = @VERSION@
173 WARNING = @WARNING@
174 abs_builddir = @abs_builddir@
175 abs_srcdir = @abs_srcdir@
176 abs_top_builddir = @abs_top_builddir@
177 abs_top_srcdir = @abs_top_srcdir@
178 ac_configure_args = @ac_configure_args@
179 ac_ct_CC = @ac_ct_CC@
180 ac_ct_CXX = @ac_ct_CXX@
181 ac_ct_F77 = @ac_ct_F77@
182 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
183 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
184 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
185 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
186 am__include = @am__include@
187 am__leading_dot = @am__leading_dot@
188 am__quote = @am__quote@
189 am__tar = @am__tar@
190 am__untar = @am__untar@
191 bindir = @bindir@
192 build = @build@
193 build_alias = @build_alias@
194 build_cpu = @build_cpu@
195 build_id = @build_id@
196 build_os = @build_os@
197 build_vendor = @build_vendor@
198 datadir = @datadir@
199 datarootdir = @datarootdir@
200 docdir = @docdir@
201 dvidir = @dvidir@
202 exec_prefix = @exec_prefix@
203 host = @host@
204 host_alias = @host_alias@
205 host_cpu = @host_cpu@
206 host_os = @host_os@
207 host_vendor = @host_vendor@
208 htmldir = @htmldir@
209 includedir = @includedir@
210 infodir = @infodir@
211 install_sh = @install_sh@
212 libdir = @libdir@
213 libexecdir = @libexecdir@
214 localedir = @localedir@
215 localstatedir = @localstatedir@
216 mandir = @mandir@
217 mkdir_p = @mkdir_p@
218 oldincludedir = @oldincludedir@
219 pdfdir = @pdfdir@
220 prefix = @prefix@
221 program_transform_name = @program_transform_name@
222 psdir = @psdir@
223 pth_skaddr_makecontext = @pth_skaddr_makecontext@
224 pth_sksize_makecontext = @pth_sksize_makecontext@
225 sbindir = @sbindir@
226 sharedstatedir = @sharedstatedir@
227 sysconfdir = @sysconfdir@
228 target = @target@
229 target_alias = @target_alias@
230 target_cpu = @target_cpu@
231 target_os = @target_os@
232 target_vendor = @target_vendor@
233 INCLUDES = -I$(top_srcdir)/include
234 AM_CFLAGS = -g
235 EXTRA_DIST = msg_deployment.xml msg_platform.xml small_platform.xml small_deployment.xml msg_deployment_suspend.xml
236 CLEANFILES = msg_test.trace
237 TESTS = run_msg_test
238 msg_test_SOURCES = msg_test.c
239 msg_test_LDADD = $(top_builddir)/src/libsimgrid.la
240 msg_test_surfxml_bypassed_SOURCES = msg_test_surfxml_bypassed.c
241 msg_test_surfxml_bypassed_LDADD = $(top_builddir)/src/libsimgrid.la
242 msg_test_suspend_SOURCES = msg_test_suspend.c
243 msg_test_suspend_LDADD = $(top_builddir)/src/libsimgrid.la
244 ping_pong_SOURCES = ping_pong.c
245 ping_pong_LDADD = $(top_builddir)/src/libsimgrid.la
246 all: all-am
247
248 .SUFFIXES:
249 .SUFFIXES: .c .lo .o .obj
250 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
251         @for dep in $?; do \
252           case '$(am__configure_deps)' in \
253             *$$dep*) \
254               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
255                 && exit 0; \
256               exit 1;; \
257           esac; \
258         done; \
259         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/msg/Makefile'; \
260         cd $(top_srcdir) && \
261           $(AUTOMAKE) --gnu  examples/msg/Makefile
262 .PRECIOUS: Makefile
263 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
264         @case '$?' in \
265           *config.status*) \
266             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
267           *) \
268             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
269             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
270         esac;
271
272 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
273         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
274
275 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
276         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
277 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
278         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
279 run_msg_test: $(top_builddir)/config.status $(srcdir)/run_msg_test.in
280         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
281
282 clean-checkPROGRAMS:
283         @list='$(check_PROGRAMS)'; for p in $$list; do \
284           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
285           echo " rm -f $$p $$f"; \
286           rm -f $$p $$f ; \
287         done
288 msg_test$(EXEEXT): $(msg_test_OBJECTS) $(msg_test_DEPENDENCIES) 
289         @rm -f msg_test$(EXEEXT)
290         $(LINK) $(msg_test_LDFLAGS) $(msg_test_OBJECTS) $(msg_test_LDADD) $(LIBS)
291 msg_test_surfxml_bypassed$(EXEEXT): $(msg_test_surfxml_bypassed_OBJECTS) $(msg_test_surfxml_bypassed_DEPENDENCIES) 
292         @rm -f msg_test_surfxml_bypassed$(EXEEXT)
293         $(LINK) $(msg_test_surfxml_bypassed_LDFLAGS) $(msg_test_surfxml_bypassed_OBJECTS) $(msg_test_surfxml_bypassed_LDADD) $(LIBS)
294 msg_test_suspend$(EXEEXT): $(msg_test_suspend_OBJECTS) $(msg_test_suspend_DEPENDENCIES) 
295         @rm -f msg_test_suspend$(EXEEXT)
296         $(LINK) $(msg_test_suspend_LDFLAGS) $(msg_test_suspend_OBJECTS) $(msg_test_suspend_LDADD) $(LIBS)
297 ping_pong$(EXEEXT): $(ping_pong_OBJECTS) $(ping_pong_DEPENDENCIES) 
298         @rm -f ping_pong$(EXEEXT)
299         $(LINK) $(ping_pong_LDFLAGS) $(ping_pong_OBJECTS) $(ping_pong_LDADD) $(LIBS)
300
301 mostlyclean-compile:
302         -rm -f *.$(OBJEXT)
303
304 distclean-compile:
305         -rm -f *.tab.c
306
307 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test.Po@am__quote@
308 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test_surfxml_bypassed.Po@am__quote@
309 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test_suspend.Po@am__quote@
310 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ping_pong.Po@am__quote@
311
312 .c.o:
313 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
314 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
315 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
316 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
317 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
318
319 .c.obj:
320 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
321 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
322 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
323 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
324 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
325
326 .c.lo:
327 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
328 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
329 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
330 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
331 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
332
333 mostlyclean-libtool:
334         -rm -f *.lo
335
336 clean-libtool:
337         -rm -rf .libs _libs
338
339 distclean-libtool:
340         -rm -f libtool
341 uninstall-info-am:
342
343 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
344         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
345         unique=`for i in $$list; do \
346             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
347           done | \
348           $(AWK) '    { files[$$0] = 1; } \
349                END { for (i in files) print i; }'`; \
350         mkid -fID $$unique
351 tags: TAGS
352
353 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
354                 $(TAGS_FILES) $(LISP)
355         tags=; \
356         here=`pwd`; \
357         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
358         unique=`for i in $$list; do \
359             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
360           done | \
361           $(AWK) '    { files[$$0] = 1; } \
362                END { for (i in files) print i; }'`; \
363         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
364           test -n "$$unique" || unique=$$empty_fix; \
365           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
366             $$tags $$unique; \
367         fi
368 ctags: CTAGS
369 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
370                 $(TAGS_FILES) $(LISP)
371         tags=; \
372         here=`pwd`; \
373         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
374         unique=`for i in $$list; do \
375             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
376           done | \
377           $(AWK) '    { files[$$0] = 1; } \
378                END { for (i in files) print i; }'`; \
379         test -z "$(CTAGS_ARGS)$$tags$$unique" \
380           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
381              $$tags $$unique
382
383 GTAGS:
384         here=`$(am__cd) $(top_builddir) && pwd` \
385           && cd $(top_srcdir) \
386           && gtags -i $(GTAGS_ARGS) $$here
387
388 distclean-tags:
389         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
390
391 check-TESTS: $(TESTS)
392         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
393         srcdir=$(srcdir); export srcdir; \
394         list='$(TESTS)'; \
395         if test -n "$$list"; then \
396           for tst in $$list; do \
397             if test -f ./$$tst; then dir=./; \
398             elif test -f $$tst; then dir=; \
399             else dir="$(srcdir)/"; fi; \
400             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
401               all=`expr $$all + 1`; \
402               case " $(XFAIL_TESTS) " in \
403               *" $$tst "*) \
404                 xpass=`expr $$xpass + 1`; \
405                 failed=`expr $$failed + 1`; \
406                 echo "XPASS: $$tst"; \
407               ;; \
408               *) \
409                 echo "PASS: $$tst"; \
410               ;; \
411               esac; \
412             elif test $$? -ne 77; then \
413               all=`expr $$all + 1`; \
414               case " $(XFAIL_TESTS) " in \
415               *" $$tst "*) \
416                 xfail=`expr $$xfail + 1`; \
417                 echo "XFAIL: $$tst"; \
418               ;; \
419               *) \
420                 failed=`expr $$failed + 1`; \
421                 echo "FAIL: $$tst"; \
422               ;; \
423               esac; \
424             else \
425               skip=`expr $$skip + 1`; \
426               echo "SKIP: $$tst"; \
427             fi; \
428           done; \
429           if test "$$failed" -eq 0; then \
430             if test "$$xfail" -eq 0; then \
431               banner="All $$all tests passed"; \
432             else \
433               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
434             fi; \
435           else \
436             if test "$$xpass" -eq 0; then \
437               banner="$$failed of $$all tests failed"; \
438             else \
439               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
440             fi; \
441           fi; \
442           dashes="$$banner"; \
443           skipped=""; \
444           if test "$$skip" -ne 0; then \
445             skipped="($$skip tests were not run)"; \
446             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
447               dashes="$$skipped"; \
448           fi; \
449           report=""; \
450           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
451             report="Please report to $(PACKAGE_BUGREPORT)"; \
452             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
453               dashes="$$report"; \
454           fi; \
455           dashes=`echo "$$dashes" | sed s/./=/g`; \
456           echo "$$dashes"; \
457           echo "$$banner"; \
458           test -z "$$skipped" || echo "$$skipped"; \
459           test -z "$$report" || echo "$$report"; \
460           echo "$$dashes"; \
461           test "$$failed" -eq 0; \
462         else :; fi
463
464 distdir: $(DISTFILES)
465         $(mkdir_p) $(distdir)/../../acmacro
466         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
467         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
468         list='$(DISTFILES)'; for file in $$list; do \
469           case $$file in \
470             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
471             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
472           esac; \
473           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
474           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
475           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
476             dir="/$$dir"; \
477             $(mkdir_p) "$(distdir)$$dir"; \
478           else \
479             dir=''; \
480           fi; \
481           if test -d $$d/$$file; then \
482             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
483               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
484             fi; \
485             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
486           else \
487             test -f $(distdir)/$$file \
488             || cp -p $$d/$$file $(distdir)/$$file \
489             || exit 1; \
490           fi; \
491         done
492 check-am: all-am
493         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
494         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
495 check: check-am
496 all-am: Makefile
497 installdirs:
498 install: install-am
499 install-exec: install-exec-am
500 install-data: install-data-am
501 uninstall: uninstall-am
502
503 install-am: all-am
504         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
505
506 installcheck: installcheck-am
507 install-strip:
508         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
509           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
510           `test -z '$(STRIP)' || \
511             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
512 mostlyclean-generic:
513
514 clean-generic:
515         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
516
517 distclean-generic:
518         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
519
520 maintainer-clean-generic:
521         @echo "This command is intended for maintainers to use"
522         @echo "it deletes files that may require special tools to rebuild."
523 clean: clean-am
524
525 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
526         mostlyclean-am
527
528 distclean: distclean-am
529         -rm -rf ./$(DEPDIR)
530         -rm -f Makefile
531 distclean-am: clean-am distclean-compile distclean-generic \
532         distclean-libtool distclean-tags
533
534 dvi: dvi-am
535
536 dvi-am:
537
538 html: html-am
539
540 info: info-am
541
542 info-am:
543
544 install-data-am:
545
546 install-exec-am:
547
548 install-info: install-info-am
549
550 install-man:
551
552 installcheck-am:
553
554 maintainer-clean: maintainer-clean-am
555         -rm -rf ./$(DEPDIR)
556         -rm -f Makefile
557 maintainer-clean-am: distclean-am maintainer-clean-generic
558
559 mostlyclean: mostlyclean-am
560
561 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
562         mostlyclean-libtool
563
564 pdf: pdf-am
565
566 pdf-am:
567
568 ps: ps-am
569
570 ps-am:
571
572 uninstall-am: uninstall-info-am
573
574 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
575         clean-checkPROGRAMS clean-generic clean-libtool ctags \
576         distclean distclean-compile distclean-generic \
577         distclean-libtool distclean-tags distdir dvi dvi-am html \
578         html-am info info-am install install-am install-data \
579         install-data-am install-exec install-exec-am install-info \
580         install-info-am install-man install-strip installcheck \
581         installcheck-am installdirs maintainer-clean \
582         maintainer-clean-generic mostlyclean mostlyclean-compile \
583         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
584         tags uninstall uninstall-am uninstall-info-am
585
586
587 dist-files:
588         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
589         @echo
590         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
591 # Tell versions [3.59,3.63) of GNU make to not export all variables.
592 # Otherwise a system limit (for SysV at least) may be exceeded.
593 .NOEXPORT: